OTFAUX(1)

NAME
otfaux - Append snapshots and statistics to an OTF trace

DESCRIPTION

    otfaux - Append snapshots and statistics to an existing OTF trace

    at given 'break' time stamps.

    Syntax: otfaux [options] <input file name>

    options:

-h, --help
    show this help message

-V  show OTF version

-b <size>
    buffer size for read and write operations

-n <n>
    number of breaks (distributed regularly) if -p and -t are not set, the default for -n is 200 breaks

-p <p>
    create break every 'p' ticks (if both, -n and -p are specified the one producing more breaks wins)

-t <t>
    define (additional) break at given time stamp

-F  force overwrite old snapshots and statistics

-R  delete existing snapshots and statistics only

-f <n>
    max number of filehandles output

--funcgroups
    create functiongroup summaries instead of function summaries

--filegroups
    create file group summaries instead of file summaries

-v  verbose mode, print break time stamps

-a  show advancing progress during operation

-o <namestub> makes a copy of the input trace

--thumbnail-procs <n>
    upper bound for the number of processes in the thumbnail

--thumbnail-samples <n>
    upper bound for the number of sampling points in the thumbnail

--inline-snapshots
    produces inline snapshots (requires the -o option)

--match-messages
    attach receive time information to send events (requires the -o option)

--snapshots
    write snapshots and a thumbnail but NO statistics (default mode)

--thumbnail
    write ONLY a thumbnail

--statistics
    write ONLY statistics but NO snapshots or a thumbnail

--all
    write snapshots, a thumbnail, and statistics

-s a[,b]*
    regard given streams only when computing statistics. expects a single token or comma separated list. this implies the '--statistics' option!

-l  list existing stream tokens